'use strict';

const progressIndicator = require("./progress-indicator");

let maxProgressValue = 10000;

module.exports = function createFakeTask(duration) {
	let fakeProgressTracker = progressIndicator(maxProgressValue);
	let currentProgress = 0;

	function addProgress() {
		currentProgress += 1;
		fakeProgressTracker.report(currentProgress);

		if (currentProgress < maxProgressValue) {
			setTimeout(addProgress, duration / maxProgressValue);
		}
	}

	return fakeProgressTracker;
};
